--DELETE FROM FW_SYS_STAT_COMP_IN_GROUPS
--FIND OUT FIRST THE NAMES OF THE GROUPS AND COMPONENTS TO BE REMOVED FROM THE FW_SYS_STAT_COMP_IN_GROUPS TABLE
SELECT C.COMPONENT_NAME, G.NAME FROM FW_SYS_STAT_COMPONENT C, FW_SYS_STAT_COMP_IN_GROUPS GC,  FW_SYS_STAT_GROUP_OF_COMP G
WHERE
C.ID = GC.FW_COMPONENT_ID
AND G.ID = GC.GROUP_ID
AND GC.GROUP_ID NOT IN
(
	SELECT DISTINCT(PG.GROUP_ID)
	FROM FW_SYS_STAT_PROJECT_GROUPS PG, FW_SYS_STAT_GROUP_OF_COMP G, FW_SYS_STAT_PVSS_PROJECT P, FW_SYS_STAT_COMPUTER C
	WHERE PG.VALID_UNTIL IS NULL AND PG.GROUP_ID = G.ID AND P.ID = PG.PROJECT_ID AND C.ID = P.COMPUTER_ID
) ORDER BY G.NAME;

DELETE FROM FW_SYS_STAT_COMP_IN_GROUPS WHERE C.ID = GC.FW_COMPONENT_ID
AND G.ID = GC.GROUP_ID
AND GC.GROUP_ID NOT IN
(
	SELECT DISTINCT(PG.GROUP_ID)
	FROM FW_SYS_STAT_PROJECT_GROUPS PG, FW_SYS_STAT_GROUP_OF_COMP G, FW_SYS_STAT_PVSS_PROJECT P, FW_SYS_STAT_COMPUTER C
	WHERE PG.VALID_UNTIL IS NULL AND PG.GROUP_ID = G.ID AND P.ID = PG.PROJECT_ID AND C.ID = P.COMPUTER_ID
);


--FINAL DELETE GROUPS
--SEE THE GROUPS THAT WILL BE DELETED

SELECT G.NAME FROM FW_SYS_STAT_GROUP_OF_COMP G WHERE G.ID NOT IN
(
	SELECT DISTINCT(PG.GROUP_ID)
	FROM FW_SYS_STAT_PROJECT_GROUPS PG, FW_SYS_STAT_GROUP_OF_COMP G, FW_SYS_STAT_PVSS_PROJECT P, FW_SYS_STAT_COMPUTER C
	WHERE PG.VALID_UNTIL IS NULL AND PG.GROUP_ID = G.ID AND P.ID = PG.PROJECT_ID AND C.ID = P.COMPUTER_ID
) ORDER BY NAME;

DELETE FROM FW_SYS_STAT_GROUP_OF_COMP G WHERE G.ID NOT IN
(
	SELECT DISTINCT(PG.GROUP_ID)
	FROM FW_SYS_STAT_PROJECT_GROUPS PG, FW_SYS_STAT_GROUP_OF_COMP G, FW_SYS_STAT_PVSS_PROJECT P, FW_SYS_STAT_COMPUTER C
	WHERE PG.VALID_UNTIL IS NULL AND PG.GROUP_ID = G.ID AND P.ID = PG.PROJECT_ID AND C.ID = P.COMPUTER_ID
);

          
--delete all components in a group based on its name. In the example below, the group is called 'TEST'
DELETE FROM FW_SYS_STAT_COMP_IN_GROUPS WHERE GROUP_ID = (SELECT ID FROM FW_SYS_STAT_GROUP_OF_COMP WHERE NAME = 'TEST');
DELETE FROM FW_SYS_STAT_GROUP_OF_COMP WHERE NAME = 'TEST';

